petsc-3.7.7 2017-09-25
Report Typos and Errors

# MatCoarsenRegisterAll

Registers all of the matrix Coarsen routines in PETSc.

### Synopsis

    PetscErrorCode  MatCoarsenRegisterAll(void)

Not Collective

### Adding new methods

To add a new method to the registry. Copy this routine and modify it to incorporate a call to MatCoarsenRegister() for the new method, after the current list.

Restricting the choices: To prevent all of the methods from being registered and thus save memory, copy this routine and modify it to register a zero, instead of the function name, for those methods you do not wish to register. Make sure that the replacement routine is linked before libpetscmat.a.

.keywords: matrix, Coarsen, register, all

.seealso: MatCoarsenRegister(), MatCoarsenRegisterDestroy()

Level:developer
Location:src/mat/coarsen/scoarsen.c
Index of all MatOrderings routines
Table of Contents for all manual pages
Index of all manual pages